#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.2.11.0 (beta)
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here
#include <WinAPI.au3>
#include <GUIConstants.au3>

$WM_CSKEYBOARD = $WM_USER + 192
$WM_CSKEYBOARDMOVE = $WM_USER + 193

If $CmdLine[0] = 0 Then
	MsgBox(16,"Error","Missing command line parameter!" & @CRLF & @CRLF & "Call:   VK_Remote SHOW | HIDE | POS,{ X}, {Y} | SET {Name of Layout}")
	Exit
EndIf

Switch StringUpper($CmdLine[1])
	Case "SHOW"
		$hWnd = WinGetHandle("[TITLE:CKeyboardFirstForm; CLASS:TFirstForm]")
		_WinAPI_PostMessage($hWnd, $WM_CSKEYBOARD, 1, 0)
	Case "HIDE"
		$hWnd = WinGetHandle("[TITLE:CKeyboardFirstForm; CLASS:TFirstForm]")
		_WinAPI_PostMessage($hWnd, $WM_CSKEYBOARD, 2, 0)
	Case "POS"
		If $CmdLine[0] <> 3 Then
			MsgBox(16,"Error", "Missing command line parameter!" & @CRLF & @CRLF & "Function POS requires 2 add. parameters which are X- and Y-Position!")
			Exit
		EndIf
		$newX = Number($CmdLine[2])
		$newY = Number($CmdLine[3])
		$hWnd = WinGetHandle("[TITLE:CKeyboardFirstForm; CLASS:TFirstForm]")
		_WinAPI_PostMessage($hWnd, $WM_CSKEYBOARDMOVE, $newY, $newX)
	Case "SET"
		If $CmdLine[0] <> 2 Then
			MsgBox(16,"Error", "Missing command line parameter!" & @CRLF & @CRLF & "Function SET requires 1 add. parameter which is Name of Keyboardlayout!")
			Exit
		EndIf
		RegWrite("HKEY_CURRENT_USER\Software\ComfortSoftware\CKeyboard", "KeyboardName", "REG_SZ", $CmdLine[2])
EndSwitch
	

